## org.apache.poi.poifs.storage
Interface ListManagedBlock

All Known Implementing Classes:
  RawDataBlock, SmallDocumentBlock

public interface ListManagedBlock

An interface for blocks managed by a list that works with a BlockAllocationTable to keep block sequences straight

Author:
  Marc Johnson (mjohnson at apache dot org

Method Summary
`byte[]` `getData()` Get the data from the block

Method Detail

### getData

    public byte[] getData()
                   throws java.io.IOException

  Get the data from the block

  Returns:
    the block's data as a byte array
  Throws:
    `java.io.IOException` - if there is no data

Copyright © 2003 Apache Software Foundation.